/* Animations */

@keyframes spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

/* Only for Index Page */
.header-logo{
    display: none;
}

/* CSS */

main{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 100vh;
}

.hero{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    position: fixed;
}

.scratched-bg{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 10%;
    z-index: -1;
}

.scratched-bg-mobile{
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 20%;
    z-index: -1;
    scale: 125%;
}


.main-logo{
    width: 500px;
    margin-bottom: 40px;
}

.logo-search-container{
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    top: 40%;
    left: 50%;
    transform: translate(-50%,-50%);
    z-index: 3;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: var(--white);
}

.main-logo{
    width: 500px;
    margin-bottom: 40px;
}

.logo-search-container input{
    width: 400px;
    padding: 25px;
    border-radius: 50px;
    transition: 0.5s ease-in-out;
    border: none;
    outline: none;
    font-size: 1.2em;
}

.logo-search-container input:hover{
    width: 550px;
}

.logo-search-container input:focus{
    border: none;
    outline: none;
    width: 550px;
}

.logo-search-container a{
    text-decoration: none;
    color: var(--white);
    margin-top: 20px;
}

.browse{
    margin-top: 15px;
    background: none;
    border: none;
    font-size: 1em;
    color: var(--white);
    cursor: pointer;
}

.browse:hover{
    text-decoration: underline;
}

.search-bar-container{
    position: relative;
}

.search-icon{
    position: absolute;
    width: 40px;
    top: 50%;
    right: 25px;
    transform: translateY(-50%);
    opacity: 50%;
    background: none;
    border: none;
    cursor: pointer;
}

.search-icon img{
    width: 100%;
}


.spinning-vinyl{
    width: 75%;
    height: auto;
    z-index: 1;
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.spinning-vinyl img{
    width: 100%;
    filter: drop-shadow(0px 0px 15px hsl(0, 0%, 0%));
    animation: spin 10s linear infinite;
}


/* FEATURED SECTION */

.featured,
.preloved-vinyls{
    position: relative;
    width: 100%;
    /* height: 650px; */
    /* background: hsl(353, 85%, 53%, 60%); */
    z-index: 4;
    /* backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px); */
    color: var(--white);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: column;
    padding: 50px 2em;
}

.featured::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url("assets/index-assets/background-drip-main.svg");
    background-size: 100%;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    mask-image: url('assets/index-assets/background-drip-main.svg');
    -webkit-mask-image: url('assets/index-assets/background-drip-main.svg');
    mask-size: 100%;
    mask-repeat: no-repeat;
    mask-position: top;
}

.featured::after{
    content: '';
    position: absolute;
    top: 20%;
    left: 0%;
    width: 100%;
    height: 100%;
    background-color: #ED213A;
    z-index: -1;
    display: none;
}

.background-image-featured{
    position: absolute;
    width: 100%;
    top: 0px;
    z-index: -1;
    opacity: 80%;
}

.featured h2{
    /* margin-top: 275px; */
    margin-top: 15%;
}

.featured h2,
.preloved-vinyls h2{
    margin-bottom: 60px;
    text-align: center;
    text-wrap: balance;
}

/* .vinyl-img-link{
    width: 150px;
} */

.featured-title{
    z-index: 50;
    font-family: "Monoton", Sans-Serif;
    text-transform: uppercase;
    font-size: 4em;
    margin-bottom: 60px;
    text-align: center;
    text-wrap: balance;
    font-weight: 400;
}

.featured-vinyls{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 50px;
}

.featured-vinyl{
    text-align: center;
    position: relative;
}

.vinyl-img-link{
    color: var(--white);
    text-decoration: none;
}

.featured-vinyl-title{
    background-color: #ffffff2a;
    backdrop-filter: blur(10px);
    border-radius: 50px;
    padding: 15px 20px;
    width: 100%;
    box-shadow: var(--shadow-s);
}

.vinyl-img-link h3{
    margin-top: 25px;
}

.vinyl-img-link h4{
    color: hsl(0, 0%, 85%);
}

.vinyl-img-container{
    width: 405px;
}

.vinyl-img{
    height: 290px;
    filter: drop-shadow(5px 5px 5px hsl(0, 0%, 0%, 60%));
    position: absolute;
    top: 0;
    left: 0;
    z-index: 3;
}

.record-spin{
    width: 290px;
    filter: drop-shadow(5px 5px 5px hsl(0, 0%, 0%, 60%));
    position: absolute;
    top: 0;
    right: 0;
    z-index: 2;
}

.record-spin.spinning {
    animation: spin 10s linear infinite;
}


/* .vinyl-img:hover{
    animation: spin 10s linear infinite;
} */

.empty-div{
    height: 325px;
}

.play-pause-button{
    background: none;
    border: none;
    width: 40px;
    height: 40px;
    cursor: pointer;
    z-index: 3;
    margin-top: 20px;
}

.play-pause-button img{
    width: 100%;
}

.vinyl-shop-items{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 100%;
    gap: 30px;
}


.vinyl-shop-item{
    width: 250px;
    background-color: var(--white);
    color: var(--secondary-red);
    border-radius: 10px;
    overflow: hidden;
    padding-bottom: 20px;
}

.vinyl-shop-img{
    width: 250px;
    height: 250px;
    position: relative;
}

.album-img{
    border-bottom: 5px solid #1D976C;
    height: 255px;
    overflow-x: hidden;

}

.pre-owned-label{
    position: absolute;
    bottom: -12px;
    left: 50px;
    background-color: #1D976C;
    color: var(--black);
    padding: 10px 10px;
    border-radius: 0 50px 50px 0;
    font-size: 0.7em;
    z-index: 2;
    width: 100px;
    text-align: center;
}

.divider{
    position: absolute;
    bottom: -20px;
    left: 10px;
    width: 50px;
    z-index: 3;
}

.vinyl-shop-info{
    margin-top: 30px;
    text-align: left;
    padding: 0 10px;
}

.album-title{
    font-weight: 600;
    text-decoration: none;
    color: var(--secondary-red);
}

.album-artist{
    font-size: 0.9em;
}

.album-price{
    margin-top: 30px;
    font-weight: 600;
}

.album-type{
    font-size: 0.9em;
    margin-bottom: 20px;
}

.view-item{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    background: var(--primary-red);
    border: none;
    border-radius: 50px;
    color: var(--white);
    font-size: 0.9em;
    transition: 0.3s ease-in-out;
    cursor: pointer;
    border: 2px solid var(--primary-red);
}

.view-item img{
    width: 20px;
}

.arrow-red{
    display: none;
}

.view-item:hover{
    background: var(--white);
    color: var(--secondary-red);
    border: 2px solid var(--primary-red);
}

.view-item:hover .arrow-white{
    display: none;
}

.view-item:hover .arrow-red{
    display: flex;
}








@media (max-width: 1500px){
    .spinning-vinyl{
        width: 100%;
    }
}

@media (max-width: 1000px){
    .main-logo{
        width: 300px;
    }

    .featured::after{
        display: block;
    }
}

@media (max-width: 450px){
    .spinning-vinyl{
        width: 200%;
    }

    .logo-search-container input{
        width: 300px;
        font-size: 0.8em;
    }

    .logo-search-container input:hover{
        width: 300px;
    }
    
    .logo-search-container input:focus{
        border: none;
        outline: none;
        width: 300px;
    }

    .logo-search-container{
        top: 40%;
    }

    .scratched-bg{
        display: none;
    }

    .scratched-bg-mobile{
        display: flex;
    }

    .vinyl-img-container{
        width: 280px;
    }

    .vinyl-img{
        height: 200px;
    }

    .record-spin{
        width: 200px;
    }

    .empty-div{
        height: 230px;
    }

    .featured-title{
        font-size: 3em;
    }
}